POST api/printertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PrinterTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| description | string |
Required |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "8c65442c-4427-432a-82c9-e37992ff8254",
"active": true,
"description": "sample string 3",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<printer_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>8c65442c-4427-432a-82c9-e37992ff8254</id> <type>sample string 4</type> </printer_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ea929646-86f0-4b00-a893-c9a2c2d63ecd"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ea929646-86f0-4b00-a893-c9a2c2d63ecd</guid>